<?php
include 'header.php';
include 'erpc_produtos_toolbar.php'; //Nome da tabela _list.php
require_once 'connect.php';
require_once 'inc/usuario.php';

checkLogin('login.php');


// Método para post de Query Avançada
	$consulta = "SELECT * FROM erpc_produtos where 1 ";

	//Efetuando busca avançada - se passado os parametros
	if(isset($_POST['pesquisar'])) {

		if(isset($_POST['st_acao_ativo'])){
			$st_acao_ativo = trim($_POST['st_acao_ativo']);
		}

		if(isset($_POST['fl_controla_localizacao'])){
			$fl_controla_localizacao = trim($_POST['fl_controla_localizacao']);
		}
		$cd_produto 	 = rtrim($_POST['cd_produto']);

		$ds_produto = trim($_POST['ds_produto']);
		$ds_ean = trim($_POST['ds_ean']);
		$ds_codigo_barras = trim($_POST['ds_codigo_barras']);
		$ds_auxiliar = trim($_POST['ds_auxiliar']);
		$nr_fator_conversao = trim($_POST['nr_fator_conversao']);
		$ds_tamanho = trim($_POST['ds_tamanho']);
		$ds_cor = trim($_POST['ds_cor']);
		$ds_letra_ncm = trim($_POST['ds_letra_ncm']);
		$ds_ncm = trim($_POST['ds_ncm']);
		$ds_cest = trim($_POST['ds_cest']);
		$id_unidade_medida = trim($_POST['id_unidade_medida']);
		$id_seg_unidade_medida = trim($_POST['id_seg_unidade_medida']);
		$id_tipo_produto = trim($_POST['id_tipo_produto']);
		$id_tipo_conversao = trim($_POST['id_tipo_conversao']);
		$id_controle_qualidade = trim($_POST['id_controle_qualidade']);
		$id_local_estoque = trim($_POST['id_local_estoque']);
		$id_voltagem_produto = trim($_POST['id_voltagem_produto']);
		$id_grupo_produto = trim($_POST['id_grupo_produto']);
		$id_tipo_entrada_padrao = trim($_POST['id_tipo_entrada_padrao']);
		$id_tipo_saida_padrao = trim($_POST['id_tipo_saida_padrao']);
		$id_planofin_entrada = trim($_POST['id_planofin_entrada']);
		$id_planofin_saida = trim($_POST['id_planofin_saida']);

		$ds_codigo_servico_iss = trim($_POST['ds_codigo_servico_iss']);
		$tp_rastro = trim($_POST['tp_rastro']);
		$vl_preco_venda = trim($_POST['vl_preco_venda']);
		$vl_custo_stand = trim($_POST['vl_custo_stand']);
		$dt_ultimo_calculo = trim($_POST['dt_ultimo_calculo']);
		$vl_ultimo_preco = trim($_POST['vl_ultimo_preco']);
		$nr_peso_liquido = trim($_POST['nr_peso_liquido']);
		$nr_largura = trim($_POST['nr_largura']);
		$nr_altura = trim($_POST['nr_altura']);
		$nr_comprimento = trim($_POST['nr_comprimento']);

		$consulta .= (!empty($id)            										? " and id like '%$id%'"            : '');
		$consulta .= (isset($cd_produto) && !empty($cd_produto) ? " and cd_produto like '%$cd_produto%'"            : '');
		$consulta .= (!empty($ds_produto)            ? " and ds_produto like '%$ds_produto%'"            : '');
		$consulta .= (!empty($ds_ean)            ? " and ds_ean like '%$ds_ean%'"            : '');
		$consulta .= (!empty($ds_codigo_barras)            ? " and ds_codigo_barras like '%$ds_codigo_barras%'"            : '');
		$consulta .= (!empty($ds_auxiliar)            ? " and ds_auxiliar like '%$ds_auxiliar%'"            : '');
		$consulta .= (!empty($nr_fator_conversao)            ? " and nr_fator_conversao like '%$nr_fator_conversao%'"            : '');
		$consulta .= (!empty($ds_tamanho)            ? " and ds_tamanho like '%$ds_tamanho%'"            : '');
		$consulta .= (!empty($ds_cor)            ? " and ds_cor like '%$ds_cor%'"            : '');
		$consulta .= (!empty($ds_letra_ncm)            ? " and ds_letra_ncm like '%$ds_letra_ncm%'"            : '');
		$consulta .= (!empty($ds_ncm)            ? " and ds_ncm like '%$ds_ncm%'"            : '');
		$consulta .= (!empty($ds_cest)            ? " and ds_cest like '%$ds_cest%'"            : '');
		$consulta .= (!empty($id_unidade_medida)            ? " and id_unidade_medida like '%$id_unidade_medida%'"            : '');
		$consulta .= (!empty($id_seg_unidade_medida)            ? " and id_seg_unidade_medida like '%$id_seg_unidade_medida%'"            : '');
		$consulta .= (!empty($id_tipo_produto)            ? " and id_tipo_produto like '%$id_tipo_produto%'"            : '');
		$consulta .= (!empty($id_tipo_conversao)            ? " and id_tipo_conversao like '%$id_tipo_conversao%'"            : '');
		$consulta .= (!empty($id_controle_qualidade)            ? " and id_controle_qualidade like '%$id_controle_qualidade%'"            : '');
		$consulta .= (!empty($id_local_estoque)            ? " and id_local_estoque like '%$id_local_estoque%'"            : '');
		$consulta .= (!empty($id_voltagem_produto)            ? " and id_voltagem_produto like '%$id_voltagem_produto%'"            : '');
		$consulta .= (!empty($id_grupo_produto)            ? " and id_grupo_produto like '%$id_grupo_produto%'"            : '');
		$consulta .= (!empty($id_tipo_entrada_padrao)            ? " and id_tipo_entrada_padrao like '%$id_tipo_entrada_padrao%'"            : '');
		$consulta .= (!empty($id_tipo_saida_padrao)            ? " and id_tipo_saida_padrao like '%$id_tipo_saida_padrao%'"            : '');
		$consulta .= (!empty($id_planofin_entrada)            ? " and id_planofin_entrada like '%$id_planofin_entrada%'"            : '');
		$consulta .= (!empty($id_planofin_saida)            ? " and id_planofin_saida like '%$id_planofin_saida%'"            : '');
		$consulta .= (!empty($st_acao_ativo)            ? " and st_acao_ativo like '%$st_acao_ativo%'"            : '');
		$consulta .= (!empty($ds_codigo_servico_iss)            ? " and ds_codigo_servico_iss like '%$ds_codigo_servico_iss%'"            : '');
		$consulta .= (!empty($tp_rastro)            ? " and tp_rastro like '%$tp_rastro%'"            : '');
		$consulta .= (!empty($vl_preco_venda)            ? " and vl_preco_venda like '%$vl_preco_venda%'"            : '');
		$consulta .= (!empty($vl_custo_stand)            ? " and vl_custo_stand like '%$vl_custo_stand%'"            : '');
		$consulta .= (!empty($dt_ultimo_calculo)            ? " and dt_ultimo_calculo like '%$dt_ultimo_calculo%'"            : '');
		$consulta .= (!empty($vl_ultimo_preco)            ? " and vl_ultimo_preco like '%$vl_ultimo_preco%'"            : '');
		$consulta .= (!empty($dt_ultima_compra)            ? " and dt_ultima_compra like '%$dt_ultima_compra%'"            : '');
		$consulta .= (!empty($nr_peso_liquido)            ? " and nr_peso_liquido like '%$nr_peso_liquido%'"            : '');
		$consulta .= (!empty($nr_largura)            ? " and nr_largura like '%$nr_largura%'"            : '');
		$consulta .= (!empty($nr_altura)            ? " and nr_altura like '%$nr_altura%'"            : '');
		$consulta .= (!empty($nr_comprimento)            ? " and nr_comprimento like '%$nr_comprimento%'"            : '');
		$consulta .= (!empty($fl_controla_localizacao)            ? " and fl_controla_localizacao like '%$fl_controla_localizacao%'"            : '');

		// echo $consulta;
	}elseif(isset($_POST['buscar'])){
	    $id_status_produto = $_POST['id_status_produto'];
	    $consulta .= " and st_ativo = $id_status_produto";
	}else{
	    $consulta .= " and st_ativo = 1";
	}
?>

<div class="block">
  <div class="header">
  <h2>Lista de Produto</h2>
  </div>
  <div class="content">
    <div class="table-responsive">
      <table class="table table-bordered table-striped table-responsible sortable">
        <thead>
          <tr>
          	<th hidden>ID</th>
            <th width=10%>Cód. Produto</th>
			<th width=40%>Descrição Produto</th>
			<th width=05%>Cód. Barras(s)</th>
			<th width=05%>Saldo</th>
			<th width=05%>Clonar</th>
			<th width=05%>Editar</th>
			<?php 
			if($id_status_produto == 1){
			    echo "<th width=05%>Excluir</th>";
			}elseif($id_status_produto == 0){
			    echo "<th width=05%>Reativar</th>";
			}
			?>
          </tr>
        </thead>
        <tbody>

          <?php

			$resultado = mysqli_query($conexao, $consulta) or die ($erro = mysqli_error($conexao));
			if (mysqli_num_rows($resultado)>0) {
            while ($registro = mysqli_fetch_assoc($resultado)){

                        $id       	      = $registro['id'];
                        $id_crip          = base64_encode($id);
						$id               = $registro['id'];
						$cd_produto       = $registro['cd_produto'];
						$ds_produto       = $registro['ds_produto'];
						$ds_codigo_barras = $registro['ds_codigo_barras'];
						
						$sql_saldo = "select sum(vl_saldo) from erpc_produtos_saldos where id_produto = $id;"; 
						$result = mysqli_query($conexao, $sql_saldo);
						$saldo = mysqli_fetch_row($result);
						

			    echo "<tr>";
                    echo "<td hidden>$id</td>";
                    echo "<td>$cd_produto</td>";
					echo "<td>$ds_produto</td>";
					echo "<td>$ds_codigo_barras</td>";
					echo "<td>". $saldo[0] . "</td>";
					echo "<td class='text-center'><a href='erpc_produtos_clonar.php?id=$id_crip'>  <i class='glyphicon glyphicon-duplicate' title='Clonar'><span class='sr-only'>Clonar</span></i></a></td>";
				    echo "<td class='text-center'><a href='erpc_produtos_edit.php?id=$id_crip'>  <i class='glyphicon glyphicon-pencil' title='Editar'><span class='sr-only'>Editar</span></i></a></td>";
				if($id_status_produto == 1){
                    echo "<td class='text-center'><a href='erpc_produtos_remove.php?id=$id_crip'><i class='glyphicon glyphicon-remove' title='Remover'><span class='sr-only'>Remover</span></i></a></td>";
				}elseif($id_status_produto == 0){
				    echo "<td class='text-center'><a href='erpc_produtos_ws.php?id_reativar=$id_crip'><i class='glyphicon glyphicon-ok' title='Reativar'><span class='sr-only'>Reativar</span></i></a></td>";
				}
                echo "</tr>";
            }
          }
          ?>
        </tbody>
      </table>
    </div> <!-- table-responsive -->
  </div> <!-- content -->
</div> <!-- block -->
<?php include 'footer.php';?>
